Subject: Re: [Ieprep] multicast

From: "Marshall Eubanks" <[email-masked]>
Date: Mon, 01 Apr 2002 11:42:57 -0500

On Sun, 31 Mar 2002 21:16:51 -0500
 Dean Bogdanovic <[email-masked]> wrote:
> > (At the time I was not part of instant messengering, so
> I
> > made no direct observations of that communications
> channel.
> > I would be curious to hear of reports on its use and
> > usability in the crisis.)
> 
> I can tell from own experience and from other people that
> I have heard
> that IM was working well. I can not say that was the
> general case, but
> in cases that I know, it was working well. I believe that
> IM could be
> a good solution for emergency communications (either data
> or voice),
> expecially if endusers can establish sessions without a
> middlebox and
> that, from a technical perspective is possible today. It
> requires end
> user device to be more detailed configured, but it makes
> it pretty
> independent as long the basic infrastucture (IP
> connectivity) is
> available.
> Using SIMPLE today (I am not saying that is the best
> solution, but
> something to start with), endusers can configure without
> a middlebox
> and establish end to end sessions as long the IP
> communications is
> present. The enduser device needs to have all necessary
> configuration
> available and that device is pretty independent. 
> This makes the emergency communications pretty hard to
> stop by DoS
> attacks, because it is distributed without a central
> point of failure
> (no addtional services are needed, but usefull if
> available).
> 
> > 
> > Avi Freedman of Akamai told me that the Akamai
> > infrastructure functioned well on 9/11, so the problems
> that
> > I and many others noticed were presumablely between
> sources
> > and caches.
> 
> Akamai infrastructure works well for static content, but
> there are
> problems for dymanic content delivery or when there are
> lot of changes
> at the source, as stated above.
> 
> > The technology exists to set up video channels on the
> > Internet between any emergency services that wish it.
> It
> > seems clear to me, based on what happened on 9/11, that
> > multicasting should be given serious consideration for
> the
> > transport for these channels. If these are set up and
> put
> > into use now, they can be available during the next
> crisis.
> > It seems to me that this fits squarely within the
> charter of
> > the working group.
> > 
> 
> Multicast is a nice technology and I agree that it should
> be
> considered, but it is also stopable with good designed
> DoS attacks
> (delivery comes from few sources, so those sources need
> good
> protection. I do not believe that akamaizing would help,
> because of
> dynamic nature of content delivery).

That is basically my experience.

As for DOS attacks :

There is the generic problem :

If the foo fire department is sourcing content, that is
coming from some FFD computer which is subject to DOS. (This
is true even if the content is being spread about in a P2P
fashion, as it has to come from somewhere.) This is problem,
I would submit, for any content.

There is the transport specific problem :

Multicast is subject to a number of DOS attacks, as
described in a presentation I gave to the MBONED WG at 
IETF 51

http://www.multicasttech.com/papers/ietf_51_mboned_tme.{pdf,ppt}

The adoption of SSM will remove most of these weaknesses.

However, I regard this as a difficult problem for any
Internet based emergency communications - especially as, if
the DOS attacks are part of a larger assault, they may take
novel forms.

Difficult is not the same as insurmountable, though.

                       Marshall
> --br
> Dean

_______________________________________________
Ieprep mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ieprep